module NccuComVnccuProgram
  class Engine < ::Rails::Engine
    initializer "nccu_com_vnccu_program" do 
      OrbitApp.registration "NccuComVnccuProgram", :type => "ModuleApp" do
        module_label "nccu_com_vnccu_program.nccu_com_vnccu_program"
        base_url File.expand_path File.dirname(__FILE__)
        authorizable
        categorizable
        frontend_enabled
        data_count 1..20

        side_bar do
          head_label_i18n 'nccu_com_vnccu_program.nccu_com_vnccu_program', icon_class: "icon-music"
          available_for "users"
          active_for_controllers (['admin/nccu_com_vnccu_programs'])
          head_link_path "admin_nccu_com_vnccu_programs_path"

          context_link 'list_',
                                :link_path=>"admin_nccu_com_vnccu_programs_path" ,
                                :priority=>1,
                                :active_for_action=>{'admin/nccu_com_vnccu_programs'=>'index'},
                                :available_for => 'users'
          context_link 'new_', 
                                :link_path=>"new_admin_nccu_com_vnccu_program_path" ,
                                :priority=>2,
                                :active_for_action=>{'admin/nccu_com_vnccu_programs'=>'new'},
                                :available_for => 'sub_managers'
          context_link 'categories',
                                :link_path=>"admin_module_app_categories_path" ,
                                :link_arg=>"{:module_app_id=>ModuleApp.find_by(:key=>'nccu_com_vnccu_program').id}",
                                :priority=>3,
                                :active_for_action=>{'admin/nccu_com_vnccu_programs'=>'categories'},
                                :active_for_category => 'NccuComVnccuProgram',
                                :available_for => 'managers'
          context_link 'nccu_com_vnccu_program.export',
                                :link_path=>"export_data_admin_nccu_com_vnccu_programs_path" ,
                                :priority=>3,
                                :active_for_action=>{'admin/nccu_com_vnccu_programs'=>'nccu_com_vnccu_export'},
                                :available_for => 'managers'
        end

      end
    end
  end
end